export default {
    methods: {
        delChild(list) {
            return list.map(item => {
                const info = {
                    ...item,
                    ['children']:
                        item['children'] && item['children'].length > 0 ? this.delChild(item['children']) : null
                };
                return info;
            });
        },
        changeAddress(value) {
            this.addresses = this.addressList.filter(item => {
                return item.pid == value;
            });
        }
    }
};
